/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.artifactdatabase;

import de.intevation.artifacts.common.utils.XMLUtils;

import de.intevation.artifacts.CallMeta;
import de.intevation.artifacts.Service;
import de.intevation.artifacts.GlobalContext;
import de.intevation.artifacts.ServiceFactory;

import org.apache.log4j.Logger;

import org.w3c.dom.Document;

/**
 * Trivial implementation of an artifact database service. Useful to
 * be subclassed.
 *
 * @author <a href="mailto:sascha.teichmann@intevation.de">Sascha L. Teichmann</a>
 */
public class DefaultService
implements   Service
{
    private static Logger logger = Logger.getLogger(DefaultService.class);

    @Override
    public Document process(
        Document      data,
        GlobalContext globalContext,
        CallMeta      callMeta
    ) {
        logger.debug("Service.process");
        return XMLUtils.newDocument();
    }

    @Override
    public void setup(ServiceFactory factory, GlobalContext globalContext) {
        logger.debug("Service.setup");
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
